# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`ganglia::gmetad`](#gangliagmetad): ganglia::gmetad
Manages ganglia gmond & gmetad daemons + web front end
* [`ganglia::gmond`](#gangliagmond): ganglia::gmond
Manages ganglia gmond & gmetad daemons + web front end
* [`ganglia::params`](#gangliaparams): ganglia::params
provides parameters for the ganglia module
* [`ganglia::web`](#gangliaweb): ganglia::web
Sets php web package and config for Ganglia

### Functions

* [`ganglia_validate_clusters`](#ganglia_validate_clusters): The following values will pass:  * [{ 'name' => 'my cluster', 'address' => 'localhost' }] * [{ 'name' => 'my cluster', 'address' => 'localhos
* [`ganglia_validate_rras`](#ganglia_validate_rras): The following values will pass:  * [{ cf => 'AVERAGE', xff => 0.5, steps => 1, rows => 5856 }] * [     {       cf => 'AVERAGE',       xff => 

## Classes

### <a name="gangliagmetad"></a>`ganglia::gmetad`

ganglia::gmetad
Manages ganglia gmond & gmetad daemons + web front end

* **See also**
  * https://puppet.com/docs/puppet/6.17/style_guide.html#parameter-defaults
  * https://puppet.com/docs/puppet/6.17/hiera_migrate.html#module_data_params

#### Parameters

The following parameters are available in the `ganglia::gmetad` class:

* [`all_trusted`](#all_trusted)
* [`clusters`](#clusters)
* [`gridname`](#gridname)
* [`rras`](#rras)
* [`trusted_hosts`](#trusted_hosts)
* [`gmetad_package_name`](#gmetad_package_name)
* [`gmetad_package_ensure`](#gmetad_package_ensure)
* [`gmetad_service_name`](#gmetad_service_name)
* [`gmetad_service_config`](#gmetad_service_config)
* [`gmetad_user`](#gmetad_user)
* [`gmetad_hostnames_case`](#gmetad_hostnames_case)
* [`gmetad_status_command`](#gmetad_status_command)

##### <a name="all_trusted"></a>`all_trusted`

Data type: `Enum['on', 'off']`



Default value: `'off'`

##### <a name="clusters"></a>`clusters`

Data type: `Array[Hash]`



Default value: `[{ 'name' => 'my cluster', 'address' => 'localhost' }]`

##### <a name="gridname"></a>`gridname`

Data type: `Optional[String[1]]`



Default value: ``undef``

##### <a name="rras"></a>`rras`

Data type: `Array[Hash]`

see README.md

Default value: `$ganglia::params::rras`

##### <a name="trusted_hosts"></a>`trusted_hosts`

Data type: `Array[String[1]]`



Default value: `[]`

##### <a name="gmetad_package_name"></a>`gmetad_package_name`

Data type: `Variant[String[1], Array[String[1]]]`



Default value: `$ganglia::params::gmetad_package_name`

##### <a name="gmetad_package_ensure"></a>`gmetad_package_ensure`

Data type: `String[1]`



Default value: `'present'`

##### <a name="gmetad_service_name"></a>`gmetad_service_name`

Data type: `String[1]`



Default value: `$ganglia::params::gmetad_service_name`

##### <a name="gmetad_service_config"></a>`gmetad_service_config`

Data type: `String[1]`



Default value: `$ganglia::params::gmetad_service_config`

##### <a name="gmetad_user"></a>`gmetad_user`

Data type: `String[1]`



Default value: `$ganglia::params::gmetad_user`

##### <a name="gmetad_hostnames_case"></a>`gmetad_hostnames_case`

Data type: `Integer[0, 1]`



Default value: `$ganglia::params::gmetad_hostnames_case`

##### <a name="gmetad_status_command"></a>`gmetad_status_command`

Data type: `String[1]`



Default value: `$ganglia::params::gmetad_status_command`

### <a name="gangliagmond"></a>`ganglia::gmond`

ganglia::gmond
Manages ganglia gmond & gmetad daemons + web front end

* **See also**
  * https://puppet.com/docs/puppet/6.17/style_guide.html#parameter-defaults
  * https://puppet.com/docs/puppet/6.17/hiera_migrate.html#module_data_params

#### Parameters

The following parameters are available in the `ganglia::gmond` class:

* [`globals_deaf`](#globals_deaf)
* [`globals_host_dmax`](#globals_host_dmax)
* [`globals_send_metadata_interval`](#globals_send_metadata_interval)
* [`globals_override_hostname`](#globals_override_hostname)
* [`globals_user`](#globals_user)
* [`globals_max_udp_msg_len`](#globals_max_udp_msg_len)
* [`cluster_name`](#cluster_name)
* [`cluster_owner`](#cluster_owner)
* [`cluster_latlong`](#cluster_latlong)
* [`cluster_url`](#cluster_url)
* [`host_location`](#host_location)
* [`udp_send_channel`](#udp_send_channel)
* [`udp_recv_channel`](#udp_recv_channel)
* [`tcp_accept_channel`](#tcp_accept_channel)
* [`gmond_package_name`](#gmond_package_name)
* [`gmond_package_ensure`](#gmond_package_ensure)
* [`gmond_service_name`](#gmond_service_name)
* [`gmond_service_config`](#gmond_service_config)
* [`gmond_status_command`](#gmond_status_command)

##### <a name="globals_deaf"></a>`globals_deaf`

Data type: `String[1]`



Default value: `'no'`

##### <a name="globals_host_dmax"></a>`globals_host_dmax`

Data type: `String[1]`



Default value: `'0'`

##### <a name="globals_send_metadata_interval"></a>`globals_send_metadata_interval`

Data type: `String[1]`



Default value: `'300'`

##### <a name="globals_override_hostname"></a>`globals_override_hostname`

Data type: `Optional[Stdlib::Fqdn]`



Default value: ``undef``

##### <a name="globals_user"></a>`globals_user`

Data type: `String[1]`



Default value: `'ganglia'`

##### <a name="globals_max_udp_msg_len"></a>`globals_max_udp_msg_len`

Data type: `Integer`



Default value: `1472`

##### <a name="cluster_name"></a>`cluster_name`

Data type: `String[1]`



Default value: `'unspecified'`

##### <a name="cluster_owner"></a>`cluster_owner`

Data type: `String[1]`



Default value: `'unspecified'`

##### <a name="cluster_latlong"></a>`cluster_latlong`

Data type: `String[1]`



Default value: `'unspecified'`

##### <a name="cluster_url"></a>`cluster_url`

Data type: `Optional[Variant[Stdlib::HTTPUrl,Stdlib::Fqdn]]`



Default value: ``undef``

##### <a name="host_location"></a>`host_location`

Data type: `String[1]`



Default value: `'unspecified'`

##### <a name="udp_send_channel"></a>`udp_send_channel`

Data type: `Array[Hash]`



Default value: `[{ mcast_join => '239.2.11.71', port => 8649, ttl => 1 }]`

##### <a name="udp_recv_channel"></a>`udp_recv_channel`

Data type: `Array[Hash]`



Default value: `[{ mcast_join => '239.2.11.71', port => 8649, bind => '239.2.11.71' }]`

##### <a name="tcp_accept_channel"></a>`tcp_accept_channel`

Data type: `Array[Hash]`



Default value: `[{ port => 8659 }]`

##### <a name="gmond_package_name"></a>`gmond_package_name`

Data type: `Variant[String[1], Array[String[1]]]`



Default value: `$ganglia::params::gmond_package_name`

##### <a name="gmond_package_ensure"></a>`gmond_package_ensure`

Data type: `String[1]`



Default value: `'present'`

##### <a name="gmond_service_name"></a>`gmond_service_name`

Data type: `String[1]`



Default value: `$ganglia::params::gmond_service_name`

##### <a name="gmond_service_config"></a>`gmond_service_config`

Data type: `String[1]`



Default value: `$ganglia::params::gmond_service_config`

##### <a name="gmond_status_command"></a>`gmond_status_command`

Data type: `String[1]`



Default value: `$ganglia::params::gmond_status_command`

### <a name="gangliaparams"></a>`ganglia::params`

ganglia::params
provides parameters for the ganglia module

### <a name="gangliaweb"></a>`ganglia::web`

ganglia::web
Sets php web package and config for Ganglia

#### Parameters

The following parameters are available in the `ganglia::web` class:

* [`ganglia_ip`](#ganglia_ip)
* [`ganglia_port`](#ganglia_port)

##### <a name="ganglia_ip"></a>`ganglia_ip`

Data type: `Stdlib::IP::Address`

IP address of web daemon

Default value: `'127.0.0.1'`

##### <a name="ganglia_port"></a>`ganglia_port`

Data type: `Integer`

Port of web daemon

Default value: `8652`

## Functions

### <a name="ganglia_validate_clusters"></a>`ganglia_validate_clusters`

Type: Ruby 3.x API

The following values will pass:

* [{ 'name' => 'my cluster', 'address' => 'localhost' }]
* [{ 'name' => 'my cluster', 'address' => 'localhost', 'polling_interval' => 10 }]
* [
  {
    'name'    => 'foo',
    'address' => [
      'foo1.example.org',
      'foo2.example.org',
      'foo3.example.org',
    ],
  },
  {
    'name'             => 'bar',
    'address'          => [
      'bar1.example.org',
      'bar2.example.org',
      'bar3.example.org'
    ],
    'polling_interval' => 42,
  },
  {
    'name'    => 'baz',
    'address' => [
      'baz1.example.org',
      'baz2.example.org',
      'baz3.example.org',
    ],
  },
]

The following values will fail, causing compilation to abort:

* true
* false
* {}
* 'foo'
* undef
* []
* ['foo', 'bar']
* [{}, {}]
* [{ 'address' => 'localhost' }]
* [{ 'name' => ['my cluster'], 'address' => 'localhost' }]
* [{ 'name' => 'my cluster' }]
* [{ 'name' => 'my cluster', 'address' => {'a' => 1} }]
* [{ 'name' => 'my cluster', 'address' => 'localhost', 'polling_interval' => [ 10 ] }]
* [{ 'name' => 'my cluster', 'address' => 'localhost', 'polling_interval' => 10, 'foo' => 1, 'bar' => 2 }]

#### `ganglia_validate_clusters()`

The following values will pass:

* [{ 'name' => 'my cluster', 'address' => 'localhost' }]
* [{ 'name' => 'my cluster', 'address' => 'localhost', 'polling_interval' => 10 }]
* [
  {
    'name'    => 'foo',
    'address' => [
      'foo1.example.org',
      'foo2.example.org',
      'foo3.example.org',
    ],
  },
  {
    'name'             => 'bar',
    'address'          => [
      'bar1.example.org',
      'bar2.example.org',
      'bar3.example.org'
    ],
    'polling_interval' => 42,
  },
  {
    'name'    => 'baz',
    'address' => [
      'baz1.example.org',
      'baz2.example.org',
      'baz3.example.org',
    ],
  },
]

The following values will fail, causing compilation to abort:

* true
* false
* {}
* 'foo'
* undef
* []
* ['foo', 'bar']
* [{}, {}]
* [{ 'address' => 'localhost' }]
* [{ 'name' => ['my cluster'], 'address' => 'localhost' }]
* [{ 'name' => 'my cluster' }]
* [{ 'name' => 'my cluster', 'address' => {'a' => 1} }]
* [{ 'name' => 'my cluster', 'address' => 'localhost', 'polling_interval' => [ 10 ] }]
* [{ 'name' => 'my cluster', 'address' => 'localhost', 'polling_interval' => 10, 'foo' => 1, 'bar' => 2 }]

Returns: `Any`

### <a name="ganglia_validate_rras"></a>`ganglia_validate_rras`

Type: Ruby 3.x API

The following values will pass:

* [{ cf => 'AVERAGE', xff => 0.5, steps => 1, rows => 5856 }]
* [
    {
      cf => 'AVERAGE',
      xff => 0.5,
      steps => 1,
      rows => 5856
     },
     {
      cf => 'MAX',
      xff => 0.5,
      steps => 1,
      rows => 5856
     },
  ]

* cf (consolidation function) must be AVERAGE | MIN | MAX | LAST
* xff (xfiles factor) must be a float between 0 and 1
* steps must be an integer
* rows must be an integer greater than zero

If all hashes are not defined then compilation will fail

#### `ganglia_validate_rras()`

The following values will pass:

* [{ cf => 'AVERAGE', xff => 0.5, steps => 1, rows => 5856 }]
* [
    {
      cf => 'AVERAGE',
      xff => 0.5,
      steps => 1,
      rows => 5856
     },
     {
      cf => 'MAX',
      xff => 0.5,
      steps => 1,
      rows => 5856
     },
  ]

* cf (consolidation function) must be AVERAGE | MIN | MAX | LAST
* xff (xfiles factor) must be a float between 0 and 1
* steps must be an integer
* rows must be an integer greater than zero

If all hashes are not defined then compilation will fail

Returns: `Any`

